#include "module/dr16.h"

DR16_t dr16;

void dr16_module_init(){
    DR16_Init(&dr16);
}

void dr16_module_update(){
    DR16_StartDmaRecv(&dr16);
    if (DR16_WaitDmaCplt(20)) {
      DR16_ParseData(&dr16);
    } else {
      DR16_Offline(&dr16);
    }
}
